import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserCreateNestedOneWithoutOfficeContactInputObjectSchema as UserCreateNestedOneWithoutOfficeContactInputObjectSchema } from './UserCreateNestedOneWithoutOfficeContactInput.schema'

const makeSchema = () => z.object({
  officeName: z.string().optional().nullable(),
  receptionistName: z.string().optional().nullable(),
  dentistName: z.string().optional().nullable(),
  phoneNumber: z.string().optional().nullable(),
  email: z.string().optional().nullable(),
  fax: z.string().optional().nullable(),
  streetAddress: z.string().optional().nullable(),
  city: z.string().optional().nullable(),
  state: z.string().optional().nullable(),
  zipCode: z.string().optional().nullable(),
  user: z.lazy(() => UserCreateNestedOneWithoutOfficeContactInputObjectSchema)
}).strict();
export const OfficeContactCreateInputObjectSchema: z.ZodType<Prisma.OfficeContactCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.OfficeContactCreateInput>;
export const OfficeContactCreateInputObjectZodSchema = makeSchema();
